#pragma once
#include "raw_hid.h"


void raw_hid_receive(uint8_t *data, uint8_t length);


// hid_send_state with advanced arguments
typedef struct {
	uint32_t state;
} _hid_send_state_args;
void _hid_send_state(_hid_send_state_args args);

#define hid_send_state(...) _hid_send_state( \
	(_hid_send_state_args) { \
		.state = 0, \
		__VA_ARGS__ \
	} \
)


#ifdef BETA_ENABLE_SPELLCHECK
void hid_send_word(void);
#endif


#ifdef ENABLE_RGB_MATRIX_FFT_ANIM
void cmd_animation(uint8_t *data, uint8_t length);
extern uint8_t g_rgb_frame_buffer[MATRIX_ROWS][MATRIX_COLS];
#endif